summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author B. Watson2020-11-20 16:22:12 +0100
committer Willy Sudiarto Raharjo2020-11-21 19:14:20 +0100
commitafb285cb6084f7b03c7b724d8550995764ef231b (patch)
treef70bf9bfc08e7549be5c24651755b9335482b017
parenta062342b4329f5fa2a100b04bce36a9aeae398be (diff)
downloadslackbuilds-afb285cb6084f7b03c7b724d8550995764ef231b.tar.gz
office/uncsv: Added (convert to or from CSV streams)
Signed-off-by: Dave Woodfall <dave@slackbuilds.org> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--office/uncsv/README11
-rw-r--r--office/uncsv/slack-desc19
-rw-r--r--office/uncsv/uncsv.SlackBuild73
-rw-r--r--office/uncsv/uncsv.info10
4 files changed, 113 insertions, 0 deletions
diff --git a/office/uncsv/README b/office/uncsv/README
new file mode 100644
index 0000000000..ae0a234860
--- /dev/null
+++ b/office/uncsv/README
@@ -0,0 +1,11 @@
+uncsv (convert to or from CSV streams)
+
+uncsv is a filter command converting the lines of a CSV file into
+non-escaped, non-quoted delimited file (pipe by default). This program
+will error out if it encounters a character matching the delimiter, it
+will also replace the carriage return and new-line characters found in
+quoted values allowing you to use awk to play with your CSVs.
+
+csv is the opposite of this command. It takes an unquoted stream of
+values, separated by the delimiter of your choice (default: pipe '|')
+and produces a "standard" CSV file.
diff --git a/office/uncsv/slack-desc b/office/uncsv/slack-desc
new file mode 100644
index 0000000000..f53a93d44b
--- /dev/null
+++ b/office/uncsv/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+uncsv: uncsv (convert to or from CSV streams)
+uncsv:
+uncsv: uncsv is a filter command converting the lines of a CSV file into
+uncsv: non-escaped, non-quoted delimited file (pipe by default). This program
+uncsv: will error out if it encounters a character matching the delimiter, it
+uncsv: will also replace the carriage return and new-line characters found in
+uncsv: quoted values allowing you to use awk to play with your CSVs.
+uncsv:
+uncsv: csv is the opposite of this command. It takes an unquoted stream of
+uncsv: values, separated by the delimiter of your choice (default: pipe '|')
+uncsv: and produces a "standard" CSV file.
diff --git a/office/uncsv/uncsv.SlackBuild b/office/uncsv/uncsv.SlackBuild
new file mode 100644
index 0000000000..d78743520b
--- /dev/null
+++ b/office/uncsv/uncsv.SlackBuild
@@ -0,0 +1,73 @@
+#!/bin/sh
+
+# Slackware build script for uncsv
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+# Licensed under the WTFPL. See http://www.wtfpl.net/txt/copying/ for details.
+
+PRGNAM=uncsv
+VERSION=${VERSION:-0.9.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . -perm /111 -a \! -perm 755 -a -exec chmod 755 {} \+ -o \
+ \! -perm /111 -a \! -perm 644 -a -exec chmod 644 {} \+
+
+sed -i "s|-O2|$SLKCFLAGS|" configure
+
+# NOT a standard autoconf configure script, doesn't take all args.
+./configure
+make PREFIX=/usr LDFLAGS=-s
+make PREFIX=$PKG/usr MANDEST=man install
+
+# same man page gets installed under 2 names
+rm -f $PKG/usr/man/man1/csv.1
+gzip -9 $PKG/usr/man/man?/*.?
+ln -s $PRGNAM.1.gz $PKG/usr/man/man1/csv.1.gz
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a ChangeLog* LICENSE* README* $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/office/uncsv/uncsv.info b/office/uncsv/uncsv.info
new file mode 100644
index 0000000000..c940515871
--- /dev/null
+++ b/office/uncsv/uncsv.info
@@ -0,0 +1,10 @@
+PRGNAM="uncsv"
+VERSION="0.9.1"
+HOMEPAGE="https://tamentis.com/projects/uncsv/"
+DOWNLOAD="https://tamentis.com/projects/uncsv/files/uncsv-0.9.1.tar.gz"
+MD5SUM="35e68764e9933754a70ebc233e42c07f"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="B. Watson"
+EMAIL="yalhcru@gmail.com"